﻿// ------------------------------------------------------------------------------
//  <auto-generated>
//      This code was generated by SpecFlow (http://www.specflow.org/).
//      SpecFlow Version:1.9.0.77
//      SpecFlow Generator Version:1.9.0.0
//      Runtime Version:4.0.30319.18444
// 
//      Changes to this file may cause incorrect behavior and will be lost if
//      the code is regenerated.
//  </auto-generated>
// ------------------------------------------------------------------------------
#region Designer generated code
#pragma warning disable
namespace WSS.AAT.Scenarios.PosIntegration
{
    using TechTalk.SpecFlow;
    
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("TechTalk.SpecFlow", "1.9.0.77")]
    [System.Runtime.CompilerServices.CompilerGeneratedAttribute()]
    [NUnit.Framework.TestFixtureAttribute()]
    [NUnit.Framework.DescriptionAttribute("Order")]
    [NUnit.Framework.CategoryAttribute("PosIntegration")]
    public partial class OrderFeature
    {
        
        private static TechTalk.SpecFlow.ITestRunner testRunner;
        
#line 1 "Order.feature"
#line hidden
        
        [NUnit.Framework.TestFixtureSetUpAttribute()]
        public virtual void FeatureSetup()
        {
            testRunner = TechTalk.SpecFlow.TestRunnerManager.GetTestRunner();
            TechTalk.SpecFlow.FeatureInfo featureInfo = new TechTalk.SpecFlow.FeatureInfo(new System.Globalization.CultureInfo("en-US"), "Order", "", ProgrammingLanguage.CSharp, new string[] {
                        "PosIntegration"});
            testRunner.OnFeatureStart(featureInfo);
        }
        
        [NUnit.Framework.TestFixtureTearDownAttribute()]
        public virtual void FeatureTearDown()
        {
            testRunner.OnFeatureEnd();
            testRunner = null;
        }
        
        [NUnit.Framework.SetUpAttribute()]
        public virtual void TestInitialize()
        {
        }
        
        [NUnit.Framework.TearDownAttribute()]
        public virtual void ScenarioTearDown()
        {
            testRunner.OnScenarioEnd();
        }
        
        public virtual void ScenarioSetup(TechTalk.SpecFlow.ScenarioInfo scenarioInfo)
        {
            testRunner.OnScenarioStart(scenarioInfo);
        }
        
        public virtual void ScenarioCleanup()
        {
            testRunner.CollectScenarioErrors();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Save sale transaction to ledger for order")]
        public virtual void SaveSaleTransactionToLedgerForOrder()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Save sale transaction to ledger for order", ((string[])(null)));
#line 4
this.ScenarioSetup(scenarioInfo);
#line 5
    testRunner.Given("Sale happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 6
    testRunner.And("Customer name is Vasily", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 7
    testRunner.And("5 SKU 500300 sold", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 8
    testRunner.And("Was paid by cash for 169.85 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 9
    testRunner.And("3 items for line 1 were collected instantly", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 10
    testRunner.And("2 items for line 1 were delivered", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 11
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 12
    testRunner.Then("There is an order in DB", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 13
    testRunner.And("There is line with 5 SKU 500300", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 14
    testRunner.And("Customer info for Vasily is added to db", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 15
    testRunner.And("There is cash payment for 169.85 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 16
    testRunner.And("Transaction is marked as Online", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Order has correct number")]
        public virtual void OrderHasCorrectNumber()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Order has correct number", ((string[])(null)));
#line 18
this.ScenarioSetup(scenarioInfo);
#line 19
    testRunner.Given("Sale happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 20
    testRunner.And("5 SKU 500300 sold", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 21
    testRunner.And("3 items for line 1 were collected instantly", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 22
    testRunner.And("2 items for line 1 were delivered", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 23
    testRunner.And("New order number will be 000111", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 24
    testRunner.And("There were no records for order number 000111 before", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 25
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 26
    testRunner.Then("There is an order in DB", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 27
    testRunner.And("New order number is 000111 in all tables", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Save collection order")]
        public virtual void SaveCollectionOrder()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Save collection order", ((string[])(null)));
#line 29
this.ScenarioSetup(scenarioInfo);
#line 30
    testRunner.Given("Sale happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 31
    testRunner.And("5 SKU 500300 sold", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 32
    testRunner.And("3 items for line 1 were collected instantly", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 33
    testRunner.And("2 items for line 1 were collected later with ordering", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 34
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 35
    testRunner.Then("There is collection order in DB", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Save voided collection order")]
        public virtual void SaveVoidedCollectionOrder()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Save voided collection order", ((string[])(null)));
#line 37
this.ScenarioSetup(scenarioInfo);
#line 38
    testRunner.Given("There were no orders in db", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 39
    testRunner.And("Sale happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 40
    testRunner.And("5 SKU 500300 sold", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 41
    testRunner.And("3 items for line 1 were collected instantly", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 42
    testRunner.And("2 items for line 1 were collected later with ordering", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 43
    testRunner.And("Transaction was voided", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 44
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 45
    testRunner.Then("There is no collection order in DB", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Save delivery order")]
        public virtual void SaveDeliveryOrder()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Save delivery order", ((string[])(null)));
#line 47
this.ScenarioSetup(scenarioInfo);
#line 48
    testRunner.Given("Sale happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 49
    testRunner.And("5 SKU 500300 sold", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 50
    testRunner.And("3 items for line 1 were collected instantly", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 51
    testRunner.And("2 items for line 1 were delivered", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 52
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 53
    testRunner.Then("There is delivery order in DB", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Save voided delivery order")]
        public virtual void SaveVoidedDeliveryOrder()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Save voided delivery order", ((string[])(null)));
#line 55
this.ScenarioSetup(scenarioInfo);
#line 56
    testRunner.Given("There were no orders in db", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 57
    testRunner.And("Sale happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 58
    testRunner.And("5 SKU 500300 sold", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 59
    testRunner.And("3 items for line 1 were collected instantly", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 60
    testRunner.And("2 items for line 1 were delivered", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 61
    testRunner.And("Transaction was voided", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 62
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 63
    testRunner.Then("There is no delivery order in DB", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Save info about taken now items for order")]
        public virtual void SaveInfoAboutTakenNowItemsForOrder()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Save info about taken now items for order", ((string[])(null)));
#line 65
 this.ScenarioSetup(scenarioInfo);
#line 66
    testRunner.Given("Sale happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 67
    testRunner.And("Customer name is Vasily", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 68
    testRunner.And("5 SKU 500300 sold", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 69
    testRunner.And("2 SKU 100006 sold", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 70
    testRunner.And("Was paid by cash for 761.85 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 71
    testRunner.And("3 items for line 1 were collected instantly", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 72
    testRunner.And("2 items for line 1 were delivered", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 73
    testRunner.And("2 items for line 2 were collected instantly", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 74
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 75
    testRunner.Then("There is an order in DB", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 76
    testRunner.And("Total units taken number is 5 in order info", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 77
    testRunner.And("Quantity taken for SKU 500300 is 3", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 78
    testRunner.And("Quantity to be delivered for SKU 500300 is 2", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 79
    testRunner.And("Quantity taken for SKU 100006 is 2", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 80
    testRunner.And("Quantity to be delivered for SKU 100006 is 0", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 81
    testRunner.And("Delivery status for SKU 100006 is 999", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Order with delivery instructions")]
        public virtual void OrderWithDeliveryInstructions()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Order with delivery instructions", ((string[])(null)));
#line 83
this.ScenarioSetup(scenarioInfo);
#line 84
    testRunner.Given("Sale happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 85
    testRunner.And("5 SKU 500300 sold", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 86
    testRunner.And("3 items for line 1 were collected instantly", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 87
    testRunner.And("2 items for line 1 were delivered", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 88
    testRunner.And("Delivery Instruction was \"Deliver only after 2 p.m.\"", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 89
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 90
    testRunner.Then("There is delivery order in DB", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 91
    testRunner.And("There is a Delivery Instruction \"Deliver only after 2 p.m.\"", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Delivery Order Without Items to be taken")]
        public virtual void DeliveryOrderWithoutItemsToBeTaken()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Delivery Order Without Items to be taken", ((string[])(null)));
#line 93
this.ScenarioSetup(scenarioInfo);
#line 94
    testRunner.Given("Sale happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 95
    testRunner.And("5 SKU 500300 sold", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 96
    testRunner.And("5 items for line 1 were delivered", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 97
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 98
    testRunner.Then("There is delivery order in DB", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Order with Delivery Charge Value of Group A with the First Price")]
        public virtual void OrderWithDeliveryChargeValueOfGroupAWithTheFirstPrice()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Order with Delivery Charge Value of Group A with the First Price", ((string[])(null)));
#line 100
this.ScenarioSetup(scenarioInfo);
#line 101
    testRunner.Given("Sale happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 102
    testRunner.And("5 SKU 500300 sold", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 103
    testRunner.And("5 items for line 1 were delivered", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 104
    testRunner.And("Delivery Charge was 7.95", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 105
    testRunner.And("There was a Delivery Charge of Group \'A\' with Value 7.95 and with SKU \'805002\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 106
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 107
    testRunner.Then("There is delivery order in DB", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 108
    testRunner.And("There is 1 line with Delivery Charge item with SKU \'805002\' with amount of 7.95 p" +
                    "ounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 109
    testRunner.And("The Order Deivery Charge amount is 7.95", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 110
    testRunner.And("Quantity for Delivery Charge item with SKU \'805002\' is 1", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Order with Delivery Charge Value of Group A with the Second Price")]
        public virtual void OrderWithDeliveryChargeValueOfGroupAWithTheSecondPrice()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Order with Delivery Charge Value of Group A with the Second Price", ((string[])(null)));
#line 112
this.ScenarioSetup(scenarioInfo);
#line 113
    testRunner.Given("Sale happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 114
    testRunner.And("5 SKU 500300 sold", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 115
    testRunner.And("5 items for line 1 were delivered", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 116
    testRunner.And("There was a Delivery Charge of Group \'A\' with Value 12.95 and with SKU \'805002\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 117
    testRunner.And("Delivery Charge was 12.95", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 118
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 119
    testRunner.Then("There is delivery order in DB", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 120
    testRunner.And("There is 1 line with Delivery Charge item with SKU \'805002\' with amount of 12.95 " +
                    "pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 121
    testRunner.And("The Order Deivery Charge amount is 12.95", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 122
    testRunner.And("Quantity for Delivery Charge item with SKU \'805002\' is 1", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Order with Delivery Charge Value of Group B")]
        public virtual void OrderWithDeliveryChargeValueOfGroupB()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Order with Delivery Charge Value of Group B", ((string[])(null)));
#line 124
this.ScenarioSetup(scenarioInfo);
#line 125
    testRunner.Given("Sale happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 126
    testRunner.And("5 SKU 500300 sold", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 127
    testRunner.And("5 items for line 1 were delivered", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 128
    testRunner.And("Delivery Charge was 9.95", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 129
    testRunner.And("There was a Delivery Charge of Group \'B\' with Value 9.95 and with SKU \'805006\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 130
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 131
    testRunner.Then("There is delivery order in DB", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 132
    testRunner.And("There is 1 line with Delivery Charge item with SKU \'805006\' with amount of 9.95 p" +
                    "ounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 133
    testRunner.And("The Order Deivery Charge amount is 9.95", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 134
    testRunner.And("Quantity for Delivery Charge item with SKU \'805006\' is 1", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Order with Delivery Charge Value of Group C")]
        public virtual void OrderWithDeliveryChargeValueOfGroupC()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Order with Delivery Charge Value of Group C", ((string[])(null)));
#line 136
this.ScenarioSetup(scenarioInfo);
#line 137
    testRunner.Given("Sale happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 138
    testRunner.And("5 SKU 500300 sold", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 139
    testRunner.And("5 items for line 1 were delivered", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 140
    testRunner.And("Delivery Charge was 25.00", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 141
    testRunner.And("There was no Delivery Charge Group with value 25.00", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 142
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 143
    testRunner.Then("There is delivery order in DB", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 144
    testRunner.And("There is 1 line with Delivery Charge item with SKU \'805000\' with amount of 25.00 " +
                    "pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 145
    testRunner.And("The Order Deivery Charge amount is 25.00", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 146
    testRunner.And("Quantity for Delivery Charge item with SKU \'805000\' is 1", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Order with new Delivery Charge Value of Group A after it Group Value has been cha" +
            "nged")]
        public virtual void OrderWithNewDeliveryChargeValueOfGroupAAfterItGroupValueHasBeenChanged()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Order with new Delivery Charge Value of Group A after it Group Value has been cha" +
                    "nged", ((string[])(null)));
#line 148
this.ScenarioSetup(scenarioInfo);
#line 149
    testRunner.Given("Sale happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 150
    testRunner.And("5 SKU 500300 sold", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 151
    testRunner.And("5 items for line 1 were delivered", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 152
    testRunner.And("Delivery Charge was 15.99", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 153
    testRunner.And("There was a Delivery Charge of Group \'A\' with Value 7.95 and with SKU \'805002\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 154
    testRunner.And("Delievery Charge Value for Group \'A\' was changed from 7.95 to 15.99", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 155
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 156
    testRunner.Then("There is delivery order in DB", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 157
    testRunner.And("There is 1 line with Delivery Charge item with SKU \'805002\' with amount of 15.99 " +
                    "pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 158
    testRunner.And("The Order Deivery Charge amount is 15.99", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 159
    testRunner.And("Quantity for Delivery Charge item with SKU \'805002\' is 1", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Order with obsolete Delivery Charge Value of Group A after it Value has been chan" +
            "ged")]
        public virtual void OrderWithObsoleteDeliveryChargeValueOfGroupAAfterItValueHasBeenChanged()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Order with obsolete Delivery Charge Value of Group A after it Value has been chan" +
                    "ged", ((string[])(null)));
#line 161
this.ScenarioSetup(scenarioInfo);
#line 162
    testRunner.Given("Sale happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 163
    testRunner.And("5 SKU 500300 sold", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 164
    testRunner.And("5 items for line 1 were delivered", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 165
    testRunner.And("Delivery Charge was 7.95", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 166
    testRunner.And("There was a Delivery Charge of Group \'A\' with Value 7.95 and with SKU \'805002\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 167
    testRunner.And("Delievery Charge Value for Group \'A\' was changed from 7.95 to 17.99", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 168
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 169
    testRunner.Then("There is delivery order in DB", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 170
    testRunner.And("There is 1 line with Delivery Charge item with SKU \'805000\' with amount of 7.95 p" +
                    "ounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 171
    testRunner.And("The Order Deivery Charge amount is 7.95", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 172
    testRunner.And("Quantity for Delivery Charge item with SKU \'805000\' is 1", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Order with different contacts for destination and for buyer")]
        public virtual void OrderWithDifferentContactsForDestinationAndForBuyer()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Order with different contacts for destination and for buyer", ((string[])(null)));
#line 174
this.ScenarioSetup(scenarioInfo);
#line 175
    testRunner.Given("Sale happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 176
    testRunner.And("Customer name is Vasily", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 177
    testRunner.And("3 items for line 1 were collected instantly", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 178
    testRunner.And("2 items for line 1 were delivered", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 179
    testRunner.And("Customer provides destination details that are different from his own address", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 180
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 181
    testRunner.Then("There is an order in DB", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 182
    testRunner.And("Customer info for Vasily is added to db", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 183
    testRunner.And("Destination address details for order are correctly stored in database", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Save collection order with Price Override")]
        public virtual void SaveCollectionOrderWithPriceOverride()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Save collection order with Price Override", ((string[])(null)));
#line 185
this.ScenarioSetup(scenarioInfo);
#line 186
    testRunner.Given("Sale happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 187
    testRunner.And("5 SKU 500300 sold", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 188
    testRunner.And("Price for SKU 500300 was overriden by 25.00 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 189
    testRunner.And("3 items for line 1 were collected instantly", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 190
    testRunner.And("2 items for line 1 were collected later with ordering", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 191
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 192
    testRunner.Then("There is collection order in DB", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 193
    testRunner.And("Order Merchandise Value Store value is equal to Transaction Total amount", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 194
    testRunner.And("Order Line Price is equal to Line Extension Value without promotions", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Save collection order with Collegue Discount")]
        public virtual void SaveCollectionOrderWithCollegueDiscount()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Save collection order with Collegue Discount", ((string[])(null)));
#line 196
this.ScenarioSetup(scenarioInfo);
#line 197
    testRunner.Given("Sale happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 198
    testRunner.And("5 SKU 500300 sold", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 199
    testRunner.And("Collegue Discount amount for SKUs 500300 is 33.95", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 200
    testRunner.And("3 items for line 1 were collected instantly", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 201
    testRunner.And("2 items for line 1 were collected later with ordering", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 202
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 203
    testRunner.Then("There is collection order in DB", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 204
    testRunner.And("Order Merchandise Value Store value is equal to Transaction Total amount", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 205
    testRunner.And("Order Line Price is equal to Line Extension Value without promotions", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Save collection order with same Event Discount for 1 line")]
        public virtual void SaveCollectionOrderWithSameEventDiscountFor1Line()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Save collection order with same Event Discount for 1 line", ((string[])(null)));
#line 207
this.ScenarioSetup(scenarioInfo);
#line 208
    testRunner.Given("Sale happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 209
    testRunner.And("5 SKU 500300 sold", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 210
    testRunner.And("DealGroup event with code \'000587\' is applied once to first line with saving amou" +
                    "nt for the first hit of 1.25 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 211
    testRunner.And("DealGroup event with code \'000588\' is applied once to first line with saving amou" +
                    "nt for the first hit of 0.75 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 212
    testRunner.And("3 items for line 1 were collected instantly", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 213
    testRunner.And("2 items for line 1 were collected later with ordering", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 214
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 215
    testRunner.Then("There is collection order in DB", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 216
    testRunner.And("Order Merchandise Value Store value is equal to Transaction Total amount", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 217
    testRunner.And("Order Line Price is equal to Line Extension Value without promotions", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Save collection order with several Event Discount for 1 line")]
        public virtual void SaveCollectionOrderWithSeveralEventDiscountFor1Line()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Save collection order with several Event Discount for 1 line", ((string[])(null)));
#line 219
this.ScenarioSetup(scenarioInfo);
#line 220
    testRunner.Given("Sale happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 221
    testRunner.And("5 SKU 500300 sold", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 222
    testRunner.And("HierarchySpend event with code \'000111\' is applied once to first line with saving" +
                    " amount 1.25 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 223
    testRunner.And("Multibuy event with code \'000222\' is applied once to first line with saving amoun" +
                    "t 0.75 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 224
    testRunner.And("3 items for line 1 were collected instantly", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 225
    testRunner.And("2 items for line 1 were collected later with ordering", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 226
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 227
    testRunner.Then("There is collection order in DB", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 228
    testRunner.And("Order Merchandise Value Store value is equal to Transaction Total amount", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 229
    testRunner.And("Order Line Price is equal to Line Extension Value without promotions", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Save collection order with several Event Discount for several lines with differen" +
            "t SKU")]
        public virtual void SaveCollectionOrderWithSeveralEventDiscountForSeveralLinesWithDifferentSKU()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Save collection order with several Event Discount for several lines with differen" +
                    "t SKU", ((string[])(null)));
#line 231
this.ScenarioSetup(scenarioInfo);
#line 232
    testRunner.Given("Sale happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 233
    testRunner.And("5 SKU 500300 sold", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 234
    testRunner.And("3 SKU 500300 sold", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 235
    testRunner.And("HierarchySpend event with code \'000111\' is applied once to first line with saving" +
                    " amount 1.25 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 236
    testRunner.And("Multibuy event with code \'000222\' is applied once to first line with saving amoun" +
                    "t 0.75 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 237
    testRunner.And("3 items for line 1 were collected instantly", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 238
    testRunner.And("2 items for line 1 were collected later with ordering", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 239
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 240
    testRunner.Then("There is collection order in DB", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 241
    testRunner.And("Order Merchandise Value Store value is equal to Transaction Total amount", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 242
    testRunner.And("Order Line Price is equal to Line Extension Value without promotions", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Save collection order with same Event Discount for 2 line with same SKUs")]
        public virtual void SaveCollectionOrderWithSameEventDiscountFor2LineWithSameSKUs()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Save collection order with same Event Discount for 2 line with same SKUs", ((string[])(null)));
#line 244
this.ScenarioSetup(scenarioInfo);
#line 245
    testRunner.Given("Sale happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 246
    testRunner.And("5 SKU 500300 sold", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 247
    testRunner.And("1 SKU 500300 sold", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 248
    testRunner.And("HierarchySpend event with code \'000111\' is applied once to first line with saving" +
                    " amount 1.25 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 249
    testRunner.And("HierarchySpend event with code \'000111\' is applied once to second line with savin" +
                    "g amount 0.25 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 250
    testRunner.And("3 items for line 1 were collected instantly", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 251
    testRunner.And("2 items for line 1 were collected later with ordering", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 252
    testRunner.And("1 items for line 2 were collected instantly", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 253
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 254
    testRunner.Then("There is collection order in DB", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 255
    testRunner.And("Order Merchandise Value Store value is equal to Transaction Total amount", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 256
    testRunner.And("Order Line Price is equal to Line Extension Value without promotions", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Save collection order with DealGroup and Multibuy event discount and employee dis" +
            "count and price override were applied to a line")]
        public virtual void SaveCollectionOrderWithDealGroupAndMultibuyEventDiscountAndEmployeeDiscountAndPriceOverrideWereAppliedToALine()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Save collection order with DealGroup and Multibuy event discount and employee dis" +
                    "count and price override were applied to a line", ((string[])(null)));
#line 258
this.ScenarioSetup(scenarioInfo);
#line 259
    testRunner.Given("Sale happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 260
    testRunner.And("3 SKU 500300 was sold with VAT rate 20", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 261
    testRunner.And("Collegue Discount amount for SKUs 500300 is 17.4", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 262
    testRunner.And("Price for SKU 500300 was overriden by 30.00 pounds with reason code Managers Disc" +
                    "retion", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 263
    testRunner.And("DealGroup event with code \'000111\' is applied once to first line with saving amou" +
                    "nt 2.00 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 264
    testRunner.And("Multibuy event with code \'000222\' is applied once to first line with saving amoun" +
                    "t 1.00 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 265
    testRunner.And("1 items for line 1 were collected instantly", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 266
    testRunner.And("2 items for line 1 were collected later with ordering", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 267
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 268
    testRunner.Then("There is collection order in DB", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 269
    testRunner.And("Order Merchandise Value Store value is equal to Transaction Total amount", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 270
    testRunner.And("Order Line Price is equal to Line Extension Value without promotions", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Save order with reversed lines")]
        public virtual void SaveOrderWithReversedLines()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Save order with reversed lines", ((string[])(null)));
#line 272
this.ScenarioSetup(scenarioInfo);
#line 273
    testRunner.Given("Sale happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 274
    testRunner.And("Customer name is Vasily", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 275
    testRunner.And("5 SKU 500300 sold", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 276
    testRunner.And("2 SKU 100006 sold", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 277
    testRunner.And("Line for SKU 100006 is reversed", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 278
    testRunner.And("Was paid by cash for 169.85 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 279
    testRunner.And("3 items for line 1 were collected instantly", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 280
    testRunner.And("2 items for line 1 were delivered", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 281
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 282
    testRunner.Then("There is an order in DB", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 283
    testRunner.And("There is line with 5 SKU 500300", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 284
    testRunner.And("There is no order lines for SKU 100006", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Order includes survey postcode information")]
        public virtual void OrderIncludesSurveyPostcodeInformation()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Order includes survey postcode information", ((string[])(null)));
#line 286
this.ScenarioSetup(scenarioInfo);
#line 287
    testRunner.Given("Sale happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 288
    testRunner.And("Customer name is Vasily", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 289
    testRunner.And("5 SKU 500300 sold", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 290
    testRunner.And("Was paid by cash for 169.85 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 291
    testRunner.And("3 items for line 1 were collected instantly", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 292
    testRunner.And("2 items for line 1 were delivered", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 293
    testRunner.And("Survey Postcode is \'QQ11QQ\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 294
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 295
    testRunner.Then("There is an order in DB", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 296
    testRunner.And("There is line with 5 SKU 500300", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 297
    testRunner.And("There is Customer Line with the sale Date, Till Number, Transaction Number and Po" +
                    "stcode \'QQ11QQ\' and other fields with default values", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Save delivery order with one refunded line")]
        public virtual void SaveDeliveryOrderWithOneRefundedLine()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Save delivery order with one refunded line", ((string[])(null)));
#line 299
this.ScenarioSetup(scenarioInfo);
#line 300
    testRunner.Given("Sale happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 301
    testRunner.And("1 SKU 100006 were refunded", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 302
    testRunner.And("5 SKU 500300 sold", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 303
    testRunner.And("5 items for line 2 were delivered", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 304
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 305
    testRunner.Then("There is delivery order in DB", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 306
    testRunner.And("In previous order for line 1 quantity taken = -1; quantity to be delivered = 0; r" +
                    "efund quantity = 0; total quantity = -1", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 307
 testRunner.And("Delivery status for SKU 100006 is 999", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 308
    testRunner.And("In previous order for line 2 quantity taken = 0; quantity to be delivered = 5; re" +
                    "fund quantity = 0; total quantity = 5", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
    }
}
#pragma warning restore
#endregion
